# ezQuake Manual: Linux Binaries

This manual page has been inherited from the FuhQuake client made by A Nourai aka 'fuh' (#fuhquake on Quakenet irc).

This doc explains some misc info about the linux binaries.

## C Library version

You must be using libc6 (also known as glibc2) to use the binaries distributed with the client. Older C libraries (such as libc5) are not sufficient. To see what C library version you have, type 'ls lib/libc.so.6' and if the file exists then you have libc6. All recent linux distributions (past 2 years) install libc6 by default. Older linux distributions (eg redhat 5) use the older libc5.

## SVGALIB Binary

### Prerequisites

Making ezquake.svga work essentially relies on configuring svgalib properly. Most linux distributions put the svgalib config file in /etc/vga/libvga.config . It's up to you to read the svgalib documentation and configure it properly so that your mouse and keyboard function properly.

### svgalib variables

vid_waitforrefresh
  flips vsync on/off.
vid_redrawfull
  redraws screen fully each frame (?)

### vgalib command line

-mode x
  sets vid_mode to x (use vid_modelist in console to see what x can be).
-w x , -h y, -d z
  try to set vid mode to width = x, height = y, depth = z .
-nokbd
  no keyboard support.
-mdev dev
  location of mouse device. eg -mdev /dev/mouse
-mrate rate
  define mouse rate (default 1200).

## X11 Software binary

### Prerequisites

1. Have X configured and working using 8, 16, or 24 depth.
2. If you want to bind MWHEELUP and MWHEELDOWN, you need the following line in the "InputDevice" section of your XF86Config:
   `Option "ZAxisMapping" "4 5"`

### x11 command line

-verbose
  print more info
-winsize x y
  set window size to width = x, height = y
-width x
  specifies window width
-height y
  specified window height
-nomouse
  disable mouse

Also if your mouse is behaving weirdly, try toggling _windowed_mouse.

## GLX Binary

### Prerequisites

1. Have GLX installed (get it from nvidia drivers page or use mesasoft software implementation). Obviously need nvidia card for decent FPS.
2. Have X set up and working properly. If you want to run the client in fullscreen mode then start X at the same resolution you wish to start the client at.
3. I have the feeling you will need X version >= 4.0 and you may even need 4.2.
4. If you want to bind MWHEELUP and MWHEELDOWN, you need the following line in the "InputDevice" section of your XF86Config:
   `Option "ZAxisMapping" "4 5"`

### glx command line

-width x
  specifies window width
-height y
  specified window height
-fullscreen
  run in fullscreen mode (this will disable ability to alt-tab etc)
-nodga
  disable DGA. Use this if you don't want DGA input support or your X version doesn't support DGA. Same as -nomdga -nokdga .
-nomdga
  disable DGA mouse input. Use this if you are having mouse trouble.
-nokdga
  disable DGA keyboard input. Use this if you are having keyboard trouble.
-gamma x
  specify gamma.
-nohwgamma
  Disable hardware gamma support. Use this if you have problems with gamma.

Also if your mouse is behaving weirdly, try toggling _windowed_mouse.

Last update: 31.12.1969 16:00 PST, made by JohnNy_cz | ezQDocs